de.esprit.appsuite.transl

## Enum TrEasWin

- java.lang.Object
- - java.lang.Enum<TrEasWin>
  - - de.esprit.appsuite.transl.TrEasWin

- All Implemented Interfaces:
    NlsKey, java.io.Serializable, java.lang.Comparable<TrEasWin>

      public enum TrEasWin
      extends java.lang.Enum<TrEasWin>
      implements NlsKey

  Translations for window titles
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVITY_MONITOR`
    `AVAILABLE_OPTIONS`
    `CALENDAR`
    `CHOOSE_INPUT_FILE`
    `CHOOSE_OUTPUT_DIRECTORY`
    `CHOOSE_OUTPUT_FILE`
    `CONFIRM_DIALOG`
    `DATABASE_INFO`
    `DEFAULT_FIELD_EDITOR`
    `JAVA_APP_TEST`
    `JAVA_PROCESS_INFO`
    `MARKABLE_TABLE`
    `MEMORY_MONITOR`
    `RECORD_DETAILS`
    `SELECT_DIRECTORY`
    `SELECT_FILE`
    `TASK_MANAGER`
    `TASK_OPTION_DIALOG`
    `VIEW_RECORDS`
    `WORKFLOW_MANAGER`
    `WORKFLOW_MONITOR`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `static TrEasWin` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrEasWin[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### DEFAULT_FIELD_EDITOR

          public static final TrEasWin DEFAULT_FIELD_EDITOR

    - #### CONFIRM_DIALOG

          public static final TrEasWin CONFIRM_DIALOG

    - #### RECORD_DETAILS

          public static final TrEasWin RECORD_DETAILS

    - #### CALENDAR

          public static final TrEasWin CALENDAR

    - #### SELECT_DIRECTORY

          public static final TrEasWin SELECT_DIRECTORY

    - #### SELECT_FILE

          public static final TrEasWin SELECT_FILE

    - #### DATABASE_INFO

          public static final TrEasWin DATABASE_INFO

    - #### VIEW_RECORDS

          public static final TrEasWin VIEW_RECORDS

    - #### ACTIVITY_MONITOR

          public static final TrEasWin ACTIVITY_MONITOR

    - #### WORKFLOW_MONITOR

          public static final TrEasWin WORKFLOW_MONITOR

    - #### WORKFLOW_MANAGER

          public static final TrEasWin WORKFLOW_MANAGER

    - #### TASK_MANAGER

          public static final TrEasWin TASK_MANAGER

    - #### TASK_OPTION_DIALOG

          public static final TrEasWin TASK_OPTION_DIALOG

    - #### CHOOSE_OUTPUT_FILE

          public static final TrEasWin CHOOSE_OUTPUT_FILE

    - #### CHOOSE_OUTPUT_DIRECTORY

          public static final TrEasWin CHOOSE_OUTPUT_DIRECTORY

    - #### CHOOSE_INPUT_FILE

          public static final TrEasWin CHOOSE_INPUT_FILE

    - #### MEMORY_MONITOR

          public static final TrEasWin MEMORY_MONITOR

    - #### MARKABLE_TABLE

          public static final TrEasWin MARKABLE_TABLE

    - #### AVAILABLE_OPTIONS

          public static final TrEasWin AVAILABLE_OPTIONS

    - #### JAVA_PROCESS_INFO

          public static final TrEasWin JAVA_PROCESS_INFO

    - #### JAVA_APP_TEST

          public static final TrEasWin JAVA_APP_TEST

  - ### Method Detail

    - #### values

          public static TrEasWin[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrEasWin c : TrEasWin.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrEasWin valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.